%% Compares LK distance with one-cpu vs. 16-cpu runs on each pair of runs. You need to set two
%% directories that have sampling results of Parallel LDA Gibbs sampler.
%% Script runs minKL matching on each pair of 1-cpu and 16-cpu runs and
%% produces a matrix klmatrix.

l = dir('DIRECTORY_FOR_1CPU_RESULTS');
l16 = dir('DIRECTORY_FOR_16CPU_RESULTS');

klmatrix = zeros(size(l,1), size(l16,1));

for i=1:size(l,1)
    fname1 = l(i).name
    for j=1:size(l16,1)
       fname2 = l16(j).name
      [minkl, match] =  matchTwoLDARuns('DIRECTORY_FOR_16CPU_RESULTS', fname1, ...
          sprintf('DIRECTORY_FOR_16CPU_RESULTS/%s', fname2));
       klmatrix(i,j) = minkl;
       minkl
    end
end


save onecpuTo16comparison.mat klmatrix