package lda_gibbs.datamgnt;

import java.io.*;
import java.util.HashMap;

/**
 * @author akyrola
 *         Date: Dec 12, 2009
 */
public class WordIdMap implements Serializable {
    private static final long serialVersionUID = 1;
                  
    private HashMap<String, Integer> wordIds;
    private HashMap<Integer, String> idWords;

    public WordIdMap(File wordIdFile)  {
       try {
           DataInputStream dis = new DataInputStream(new BufferedInputStream(new FileInputStream(wordIdFile)));
           int size = dis.readInt();
           wordIds = new HashMap<String, Integer>(size, 1.0f);
           idWords = new HashMap<Integer, String>(size, 1.0f);

           for(int i=0; i<size; i++) {
               String word = dis.readUTF();
               int id = dis.readInt();
               wordIds.put(word, id);
               idWords.put(id, word);
           }
           dis.close();

           System.out.println("Vocabulary size: " + size);
       } catch (IOException ioe) {
           throw new RuntimeException(ioe);
       }
    }


    public int getNumOfWords() {
        return wordIds.size();
    }

    public int getId(String word) {
        return wordIds.get(word);
    }

    public String getWord(int wordId) {
        return idWords.get(wordId);
    }
}
